#
# spec file for package OpenOffice_org-branding-upstream (Version 3.1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           OpenOffice_org-branding-upstream
Version:        3.1.1.1
Release:        1.1.moblin2
%define	      ooo_build_version 3.1.1.1
#!BuildIgnore:  OpenOffice_org
BuildRequires:  OpenOffice_org-artwork-devel >= 2.99
%define	      ooo_basis_dir	basis3.1
%define	      ooo_home		ooo3
License:        LGPL v3 only
Group:          Productivity/Office/Suite
Summary:        Original Branding for OpenOffice.org
AutoReqProv:    on
Provides:       OpenOffice_org-branding = %{version}
Conflicts:      otherproviders(OpenOffice_org-branding)
Url:            http://www.openoffice.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
#BRAND: source: %ooo_build_tag-core.tar.bz2:%ooo_build_tag/default_images/introabout/intro.bmp
#BRAND: type: PC bitmap data, Windows 3.x format, 440 x 286 x 24 (BMP)
#BRAND: purpose: "splash" image displayed for a short time, when the application is launching
#BRAND: text: should mention the app name "OpenOffice.org" and the major version "2"
#BRAND: context: no border is being displayed around the splash windows
#BRAND:          the picture is overlapped by the progress bar: x,y=212,216; w,h=263,8
#BRAND:          the default progress bar color is 0,0,128 (blue)
#BRAND:          the progress bar has 1 pixel width white border
#BRAND:
#BRAND: source: %ooo_build_tag-core.tar.bz2:%ooo_build_tag/default_images/introabout/about.bmp
#BRAND: type:   PC bitmap data, Windows 3.x format, 415 x 95 x 24 (BMP)
#BRAND: purpose: displayed on top of the Help/About OpenOffice.org dialog
#BRAND: text:   should mention the app name "OpenOffice.org" and the major version "2"
#BRAND: context: there are displayed several lines of some text below the picture
#BRAND:          the text is black on a white background

%description
This package includes the original branding for the OpenOffice.org
office suite.



%prep

%build

%install
install -m 755 -d $RPM_BUILD_ROOT%_datadir/%ooo_home/program
install -m 644 %_datadir/%ooo_home/solver/default_images/introabout/about.bmp \
    $RPM_BUILD_ROOT%_datadir/%ooo_home/program
install -m 644 %_datadir/%ooo_home/solver/default_images/introabout/intro.bmp \
    $RPM_BUILD_ROOT%_datadir/%ooo_home/program

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_datadir/%ooo_home

%changelog
* Tue Sep  1 2009 Anas Nashif <anas.nashif@intel.com> - 3.1.1.1
- Initial import into Moblin
* Wed Aug 26 2009 pmladek@suse.cz
- updated to version 3.1.1.1
* Tue Aug 18 2009 pmladek@suse.cz
- updated to version 3.1.0.99.3
* Tue Aug  4 2009 pmladek@suse.cz
- updated to version 3.1.0.99.2
* Thu Jul 23 2009 pmladek@suse.cz
- updated to version 3.1.0.99.1
* Mon Jun 29 2009 pmladek@suse.cz
- updated to version 3.1.0.98.2
* Mon Jun 15 2009 pmladek@suse.cz
- updated to version 3.1.0.98.1
* Thu May 28 2009 pmladek@suse.cz
- updated to version 3.1.0.6
* Tue May 26 2009 pmladek@suse.cz
- updated to version 3.1.0.5
* Fri May 22 2009 pmladek@suse.cz
- updated to version 3.1.0.4
* Thu May 21 2009 pmladek@suse.cz
- updated to version 3.1.0.3
* Tue May 19 2009 pmladek@suse.cz
- updated to version 3.1.0.2
* Fri May 15 2009 pmladek@suse.cz
- updated to version 3.1.0.1
* Thu May  7 2009 pmladek@suse.cz
- updated to version 3.1.0.0
* Thu Apr 30 2009 pmladek@suse.cz
- updated to version 3.0.99.7
* Fri Apr 24 2009 pmladek@suse.cz
- updated to version 3.0.99.6
* Fri Apr 17 2009 pmladek@suse.cz
- updated to version 3.0.99.5
* Wed Apr  8 2009 pmladek@suse.cz
- updated to version 3.0.99.4
* Fri Mar 27 2009 pmladek@suse.cz
- updated to version 3.0.99.3
* Fri Mar 20 2009 pmladek@suse.cz
- updated to version 3.0.99.2
* Tue Mar 10 2009 pmladek@suse.cz
- updated to version 3.0.99.1
* Fri Feb 20 2009 pmladek@suse.cz
- updated to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated to version 3.0.0.13
* Fri Jan  9 2009 pmladek@suse.cz
- updated to version 3.0.0.11
* Fri Dec  5 2008 pmladek@suse.cz
- updated to version 3.0.0.10
* Fri Nov 21 2008 pmladek@suse.cz
- updated to version 3.0.0.9
* Fri Nov  7 2008 pmladek@suse.cz
- updated to version 3.0.0.8
* Mon Oct 27 2008 pmladek@suse.cz
- updated to version 3.0.0.7
* Fri Oct 10 2008 pmladek@suse.cz
- updated to version 3.0.0.6
- added BuildIgnore OpenOffice_org to avoid cyclic build dependency
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Sat Sep 27 2008 pmladek@suse.cz
- updated to the milestone ooo300-m7 (3.0rc2)
- updated ooo-build to version 3.0.0.5
- fixed provides
* Thu Sep 11 2008 pmladek@suse.cz
- split from the main OpenOffice_org package, version 3.0
